# Class AsyncMultiReadResult

java.lang.Object
org.mariadb.jdbc.internal.protocol.AsyncMultiReadResult

public class AsyncMultiReadResult extends Object

## Constructor Summary

Constructors
Constructor
Description
`AsyncMultiReadResult(PrepareResult prepareResult)`

## Method Summary

Modifier and Type
Method
Description
`SQLException`
`getException()`
`PrepareResult`
`getPrepareResult()`
`void`
`setException(SQLException exception)`
`void`
`setPrepareResult(PrepareResult prepareResult)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AsyncMultiReadResult

public AsyncMultiReadResult(PrepareResult prepareResult)

## Method Details

### getPrepareResult

public PrepareResult getPrepareResult()

### setPrepareResult

public void setPrepareResult(PrepareResult prepareResult)

### getException

public SQLException getException()

### setException

public void setException(SQLException exception)